// Mixin

// Use to element that slide down
@mixin slide(
    $active-ref, // selector which indicate is active
    $child-ref // selector child
) {
    max-height: 0;
    transition: all .5s ease-out;

    #{$child-ref} {
        opacity: 0;
    }

    #{$active-ref} {
        max-height: 400px;
        overflow: hidden;

        #{$child-ref}, * {
            opacity: 1;
            transition: opacity .5s .1s ease-out;
        }
    }
}

@mixin full-screen {
    position: fixed;
    width: 100% !important;
    height: 100% !important;
    top: 0;
    left: 0;
    margin: 0 !important;
    z-index: 99999;
}

@mixin bg-overlay($overlay-color, $text-color, $image-url, $overlay-blur: .4) {
    position: relative;
    background-image: url($image-url);
    background-size: cover;
    color: $text-color;
    z-index: 1;
    
    &::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba($overlay-color, $overlay-blur);
        z-index: -1;
    }
}

@mixin random-colors(
    $items,
    $set-background: true) {
    $random-colors: (
        $green,
        $blue,
        $red,
        $orange,
        $lemon,
        $yellow,
        $secondary
    );
    $i: 0;
    @each $color in $random-colors {
        @if $i <= $items {
            $i: $i + 1;
            &:nth-child(#{$i}) {
                @if $set-background { background-color: $color; }
                @else { color: $color; }
            }
        }
    }
}

